> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Void Bill Payment

> Void an existing bill payment.

        This creates a reversing journal entry to void the payment and updates the bill status.

        Optionally accepts a void_date in the request body to specify when the payment should be voided.
        If not provided, defaults to today's date.



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json post /coa/api/v1/bill/{bill_id}/payment/{payment_id}/void/
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/v1/bill/{bill_id}/payment/{payment_id}/void/:
    post:
      tags:
        - Accounts Payable
      summary: Void Bill Payment
      description: |-
        Void an existing bill payment.

                This creates a reversing journal entry to void the payment and updates the bill status.

                Optionally accepts a void_date in the request body to specify when the payment should be voided.
                If not provided, defaults to today's date.
      operationId: coa_api_v1_bill_payment_void_create
      parameters:
        - in: path
          name: bill_id
          schema:
            type: integer
          description: ID of the bill
          required: true
        - in: path
          name: payment_id
          schema:
            type: integer
          description: ID of the payment to void
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VoidPayment'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/VoidPayment'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/VoidPayment'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountingBillPayment'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    VoidPayment:
      type: object
      properties:
        void_date:
          type: string
          format: date
          nullable: true
    AccountingBillPayment:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        payment_transaction_bank_description:
          type: string
          readOnly: true
        payment_journal_entry_order:
          type: string
          readOnly: true
        voided_journal_entry_order:
          type: string
          readOnly: true
        currency:
          type: string
          maxLength: 3
        amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        payment_date:
          type: string
          format: date
          nullable: true
        source:
          type: string
          nullable: true
          maxLength: 250
        source_id:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        voided_date:
          type: string
          format: date
          nullable: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        customer:
          type: integer
          readOnly: true
        bill:
          type: integer
        payment_journal_entry:
          type: integer
        payment_transaction:
          type: integer
          nullable: true
        voided_journal_entry:
          type: integer
          nullable: true
      required:
        - bill
        - created_at
        - customer
        - id
        - last_modified_at
        - payment_journal_entry
        - payment_journal_entry_order
        - payment_transaction_bank_description
        - voided_journal_entry_order
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````